%define pkgname gstreamer1-plugins-bad
%define majorminor   1.0
%define gstreamer    gstreamer1
%define gst_minver   1.8.2
%define gstpb_minver 1.8.2
%define _gst_ver     1.8.2
%define release	1%{?_dist_release}

%define sourceurl	http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{_gst_ver}.tar.xz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		self-build-%{pkgname}
Version:	%{_gst_ver}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
License:	LGPLv2+ and LGPLv2
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires: %{gstreamer} >= %{gst_minver}
Requires(post): %{gstreamer}-devel >= %{gst_minver}
Requires(post): %{gstreamer}-plugins-base-devel >= %{gstpb_minver}
Requires(post): %{gstreamer}-plugins-bad-free-devel >= %{gstpb_minver}

Requires(post): check
Requires(post): gettext
Requires(post): PyXML
Requires(post): libXt-devel

Requires(post): bzip2-devel
Requires(post): celt-devel
Requires(post): exempi-devel
Requires(post): jasper-devel
#Requires(post): ladspa-devel
Requires(post): libass-devel
Requires(post): libdc1394-devel
Requires(post): libdvdnav-devel
Requires(post): libexif-devel
#Requires(post): libiptcdata-devel
Requires(post): kate-devel
Requires(post): libmodplug-devel
Requires(post): libmpcdec-devel
#Requires(post): libofa-devel
Requires(post): librsvg2-devel
Requires(post): libsndfile-devel
#Requires(post): libtimidity-devel
Requires(post): libvpx-devel
Requires(post): mesa-libGLU-devel
Requires(post): openssl-devel
Requires(post): orc-devel
#Requires(post): schroedinger-devel
Requires(post): SDL-devel
#Requires(post): slv2-devel
Requires(post): soundtouch-devel
Requires(post): wavpack-devel
#Requires(post): wildmidi-devel
#Requires(post): zbar-devel
Requires(post): libmms-devel
Requires(post): twolame-devel
#Requires(post): libmimic-devel
# self build
Requires(post): self-build-libdca
Requires(post): self-build-faad2
Requires(post): self-build-xvidcore
Requires(post): self-build-mjpegtools


Obsoletes: gstreamer1-plugins-bad < %{version}-%{release}

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	Takemikaduchi

%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that have licensing issues, aren't tested
well enough, or the code is not of good enough quality.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

# '

%description -l ja
gstreamer-plugins-bad は GStreamer ストリーミングメディア
フレームワーク用 bad プラグイン集です。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 277000


%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Jul 30 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Wed May 04 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.4-1
- new upstream release

* Sun Jan 24 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.3-1
- new upstream release

* Wed Dec 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-3
- rebuild with gnutls-3.4.7

* Tue Dec 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-2
- rebuild with nettle-3.1.1

* Sat Dec 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Fri Nov 06 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Wed Mar 18 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4.5-2
- changed Group to System Environment/Libraries

* Sun Mar 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Tue Nov 18 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release

* Sun Mar 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Sun Oct 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.9-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-1
- new upstream release

* Sat Mar 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream release

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-1
- new upstream release

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release

* Fri Oct 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release
- rename package

* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.22-1
- new upstream release
- added Requires(post): libvpx-devel

* Wed Nov  2 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.21-2
- s/self-build-libdvdnav/libdvdnav/

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.21-1
- new upstream release
- added Requires(post):
  - libmms-devel
  - librtmp-devel

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.20-1
- new upstream release

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.19-1
- new upstream release

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.18-1
- new upstream release
- renamed %%{Source0} to gstreamer-plugins-bad-vl.spec
- added Requires(post): libvdpau-devel
- check version between original spec and self-build spec in %%prep

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.17-1
- new upstream release

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.12-1
- initial build for Vine Linux.
